Skip to content

Get order history summary by order ID

GET
/v1/orders/history/summary/orderid/{orderId}

An order is considered completed when the Order Status call returns one of the following statuses: Filled, Cancelled or Failed. When this happens, you can get a more detailed summary about this order using this call. Orders that are not completed are invalid for this request.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

orderId*

The order ID provided by VALR

Type
string
Required

Responses

Order history summary retrieved successfully

application/json
JSON
{
"orderId": "b47d36bf-adbc-4310-b904-b326a5be9079",
"orderStatusType": "Filled",
"currencyPair": "ETHZAR",
"averagePrice": "8104",
"originalPrice": "123",
"remainingQuantity": "0",
"originalQuantity": "0.01517769",
"total": "122.99999976",
"totalExecutedQuantity": "0.01517769",
"totalFee": "0.000113832675",
"feeCurrency": "ETH",
"orderSide": "buy",
"orderType": "simple",
"failedReason": "",
"orderUpdatedAt": "2021-02-01T15:57:57.994Z",
"orderCreatedAt": "2021-02-01T15:57:57.992Z",
"timeInForce": "GTC"
}

Playground

Authorization
Variables
Key
Value

Samples